> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /snapdeal/products/questions

> Get customer questions and answers for a Snapdeal product by product id (or product URL): question text, author, date, answer count, votes, and the answers for each question.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/snapdeal/products/questions
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/snapdeal/products/questions:
    post:
      tags:
        - /snapdeal
      summary: /snapdeal/products/questions
      description: >-
        Get customer questions and answers for a Snapdeal product by product id
        (or product URL): question text, author, date, answer count, votes, and
        the answers for each question.


        **Price:** 1 credit
      operationId: __api_snapdeal_products_questions_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SnapdealProductsQuestionsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SnapdealQuestion'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SnapdealProductsQuestionsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        product:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        sort:
          $ref: '#/components/schemas/SnapdealQuestionSort'
          default: score
      type: object
      required:
        - product
        - count
    SnapdealQuestion:
      properties:
        '@type':
          type: string
          default: SnapdealQuestion
        id:
          type: string
        text:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        answer_count:
          anyOf:
            - type: integer
            - type: 'null'
        upvote_count:
          anyOf:
            - type: integer
            - type: 'null'
        score:
          anyOf:
            - type: integer
            - type: 'null'
        answers:
          items:
            $ref: '#/components/schemas/SnapdealAnswer'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SnapdealQuestionSort:
      type: string
      enum:
        - score
        - recent
    SnapdealAnswer:
      properties:
        '@type':
          type: string
          default: SnapdealAnswer
        id:
          type: string
        text:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        upvote_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````